#include<iostream>
#include<cmath>
using namespace std;
main(){
int n;
cin>>n;
int a[n];
for(int i=0; i<n;i++){
    cin>>a[i];
}
int q;
cin>>q;
string s[q];
for(int i=0; i<q;i++){
    int m, n;
    cin>>m>>n;
    if(m!=n){
    int br=0;
    for(int j=m;j<n;j++){
        if(a[j]<a[j-1]){
            br++;
        }
        if(br>1) break;
    }
    if(br<=1) s[i]="DA";
    else s[i]="NE";}
    else s[i]="DA"

}
for(int i=0; i<q; i++) cout<<s[i]<<endl;
return 0;
}